Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class TreeSequenceKeyModel<V>

    java.lang.Object
      javax.faces.model.DataModel<E>
          org.ajax4jsf.model.ExtendedDataModel<V>
              org.richfaces.model.TreeSequenceKeyModel<V>

All Implemented Interfaces:
  Iterable<V>, org.richfaces.model.TreeDataModel<V>

Direct Known Subclasses:
  DeclarativeTreeDataModelImpl, NodesTreeSequenceKeyModel

    public abstract class TreeSequenceKeyModel<V>

extends org.ajax4jsf.model.ExtendedDataModel<V>
implements org.richfaces.model.TreeDataModel<V>

Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.richfaces.model.TreeDataModel
`SEPARATOR_CHAR`

Constructor Summary
`TreeSequenceKeyModel()`

Method Summary
`V` | `getData()`
`Object` | `getParentRowKey(Object rowKey)`
`int` | `getRowCount()`
`V` | `getRowData()`
`int` | `getRowIndex()`
`SequenceRowKey` | `getRowKey()`
`boolean` | `isDataAvailable()`
`boolean` | `isRowAvailable()`
`protected void` | `setData(V data)`
`void` | `setRowIndex(int rowIndex)`
`void` | `setRowKey(Object rowKey)`
`protected void` | `setRowKeyAndData(SequenceRowKey key, V data)`
`protected abstract void` | `setupKey(SequenceRowKey key)`
`void` | `walk(javax.faces.context.FacesContext context, org.ajax4jsf.model.DataVisitor visitor, org.ajax4jsf.model.Range range, Object argument)`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, getWrappedData, iterator, removeDataModelListener, setWrappedData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.model.TreeDataModel
`children, createSnapshot, getRowKeyConverter, getWrappedData, isLeaf, restoreFromSnapshot, setWrappedData`

Constructor Detail

### TreeSequenceKeyModel

    public TreeSequenceKeyModel()

Method Detail

### getRowKey

    public SequenceRowKey getRowKey()

  Specified by:
    `getRowKey` in interface `org.richfaces.model.TreeDataModel<V>`
  Specified by:
    `getRowKey` in class `org.ajax4jsf.model.ExtendedDataModel<V>`

### setRowKey

    public void setRowKey(Object rowKey)

  Specified by:
    `setRowKey` in interface `org.richfaces.model.TreeDataModel<V>`
  Specified by:
    `setRowKey` in class `org.ajax4jsf.model.ExtendedDataModel<V>`

### setData

    protected void setData(V data)

### setRowKeyAndData

    protected void setRowKeyAndData(SequenceRowKey key,
                                    V data)

### isDataAvailable

    public boolean isDataAvailable()

  Specified by:
    `isDataAvailable` in interface `org.richfaces.model.TreeDataModel<V>`

### getData

    public V getData()

  Specified by:
    `getData` in interface `org.richfaces.model.TreeDataModel<V>`

### setupKey

    protected abstract void setupKey(SequenceRowKey key)

### walk

    public void walk(javax.faces.context.FacesContext context,
                     org.ajax4jsf.model.DataVisitor visitor,
                     org.ajax4jsf.model.Range range,
                     Object argument)

  Specified by:
    `walk` in class `org.ajax4jsf.model.ExtendedDataModel<V>`

### isRowAvailable

    public boolean isRowAvailable()

  Specified by:
    `isRowAvailable` in class `javax.faces.model.DataModel<V>`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in class `javax.faces.model.DataModel<V>`

### getRowData

    public V getRowData()

  Specified by:
    `getRowData` in class `javax.faces.model.DataModel<V>`

### getRowIndex

    public int getRowIndex()

  Specified by:
    `getRowIndex` in class `javax.faces.model.DataModel<V>`

### setRowIndex

    public void setRowIndex(int rowIndex)

  Specified by:
    `setRowIndex` in class `javax.faces.model.DataModel<V>`

### getParentRowKey

    public Object getParentRowKey(Object rowKey)

  Specified by:
    `getParentRowKey` in interface `org.richfaces.model.TreeDataModel<V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.